package domain

type TmallExchangeGetExchangeBaseResponse struct {
	/*
	   错误信息说明     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	MsgCode *string `json:"msg_code,omitempty" `

	/*
	   返回结果是否符合要求     */
	Success *bool `json:"success,omitempty" `

	/*
	   换货单详情     */
	Exchange *TmallExchangeGetExchange `json:"exchange,omitempty" `
}

func (s *TmallExchangeGetExchangeBaseResponse) SetMessage(v string) *TmallExchangeGetExchangeBaseResponse {
	s.Message = &v
	return s
}
func (s *TmallExchangeGetExchangeBaseResponse) SetMsgCode(v string) *TmallExchangeGetExchangeBaseResponse {
	s.MsgCode = &v
	return s
}
func (s *TmallExchangeGetExchangeBaseResponse) SetSuccess(v bool) *TmallExchangeGetExchangeBaseResponse {
	s.Success = &v
	return s
}
func (s *TmallExchangeGetExchangeBaseResponse) SetExchange(v TmallExchangeGetExchange) *TmallExchangeGetExchangeBaseResponse {
	s.Exchange = &v
	return s
}
